# Employees Object

> Source: https://truto.one/docs/api-reference/unified-hris-api/employees/

Schema for the `Employees` resource in **Unified HRIS API**.

## Properties

- **`id`** _(string, required)_
  The unique identifier for employees
- **`employee_number`** _(string)_
  This represents the employee number
- **`company`** _(object)_
  This represents the company
  - **`id`** _(string)_
    The unique identifier for companies
- **`first_name`** _(string)_
  This represents the first name of the employee
- **`middle_name`** _(string)_
  This represents the middle name of the employee
- **`last_name`** _(string)_
  This represents the last name of the employee
- **`name`** _(string)_
  This represents the name of the employee
- **`username`** _(string)_
  This represents the username
- **`job_title`** _(string)_
  Job title of the employee
- **`groups`** _(array<object>)_
  This represents the groups
  - **`id`** _(string)_
    The unique identifier for groups
  - **`name`** _(string)_
    Group's name
  - **`type`** _(string)_
    Type of the group. Some underlying providers use this to differentiate between in-built and user created groups.
- **`emails`** _(array<object>)_
  The emails of the user
  - **`email`** _(string)_
    The email address
  - **`type`** _(string)_
    The type of email address
  - **`is_primary`** _(boolean)_
    Whether the email address is primary
- **`phones`** _(array<object>)_
  The phones of the user
  - **`number`** _(string)_
    The phone number
  - **`extension`** _(string)_
    The extension of the phone number
  - **`type`** _(string)_
    The type of phone number
- **`employments`** _(array<object>)_
  Represents a role or employment of the employee in the company
  - **`id`** _(string, required)_
    The unique identifier for employments
  - **`employee`** _(object)_
    Employee associated with this employment
    - **`id`** _(string)_
      The unique identifier for employees
  - **`job_title`** _(string)_
    Job title of the employee
  - **`pay_rate`** _(number)_
    This represents the pay rate
  - **`pay_period`** _(string)_
    This represents the pay period
  - **`pay_frequency`** _(string)_
    This represents the pay frequency
  - **`pay_currency`** _(string)_
    This represents the pay currency
  - **`pay_group`** _(string)_
    This represents the pay group
  - **`flsa_status`** _(string)_
    This represents the flsa status
  - **`effective_date`** _(string)_
    Represents the effective date of the employment
  - **`end_date`** _(string)_
    Represents the end date of the employment
  - **`employment_type`** _(string)_
    This represents the employment type
    Allowed: `full_time`, `part_time`, `contract`, `internship`, `temporary`, `trainee`, `volunteer`, `per_diem`
  - **`end_reason`** _(string)_
    Represents why the employment ended
  - **`created_at`** _(string)_
    This represents the date when the employments was created
  - **`updated_at`** _(string)_
    This represents the date when the employments was updated
- **`home_location`** _(array<object>)_
  This represents the home location
  - **`id`** _(string)_
    The unique identifier for locations
  - **`name`** _(string)_
    This represents the name of the location
  - **`street_1`** _(string)_
    The first line of home address
  - **`street_2`** _(string)_
    The second line of home address
  - **`city`** _(string)_
    The city of the home address
  - **`state`** _(string)_
    The state/province of the home address
  - **`postal_code`** _(string)_
    The postal code of the home address
  - **`country`** _(string)_
    The country of the home address
- **`work_location`** _(object)_
  This represents the work location
  - **`id`** _(string)_
    The unique identifier for locations
  - **`name`** _(string)_
    This represents the name of the location
  - **`street_1`** _(string)_
    The first line of work address
  - **`street_2`** _(string)_
    The second line of work address
  - **`city`** _(string)_
    The city of the work address
  - **`state`** _(string)_
    The state/province of the work address
  - **`postal_code`** _(string)_
    The postal code of the work address
  - **`country`** _(string)_
    The country of the work address
- **`manager`** _(object)_
  Represents the manager of the employee. Is also an employee.
  - **`id`** _(string)_
    The unique identifier for employees
  - **`name`** _(string)_
    This represents the name of the employee
- **`pay_group`** _(object)_
  This represents the pay group
  - **`id`** _(string)_
    The unique identifier for pay groups
- **`ssn`** _(string)_
  This represents the ssn
- **`gender`** _(string)_
  This represents gender
- **`ethnicity`** _(string)_
  This represent ethnicity
- **`marital_status`** _(string)_
  This represents marital status
- **`date_of_birth`** _(string)_
  This represents date of birth
- **`start_date`** _(string)_
  This represents the start date
- **`employment_status`** _(string)_
  This represents the employment status. If no clear mapping is available, then the raw value is returned.
  Allowed: `active`, `inactive`, `pending`
- **`termination_date`** _(string)_
  This represents the termination date
- **`termination_type`** _(string)_
  Represents the type of termination. If no clear mapping exists, then raw value is returned.
  Allowed: `voluntary`, `dismissed`, `redundancy`, `end_of_contract`, `retirement`, `mutual`
- **`termination_reason`** _(string)_
  Represents the reason for termination
- **`avatar`** _(string)_
  This represents the avatar
- **`tags`** _(array<object>)_
  The employee's tags
  - **`id`** _(string)_
    The tag's unique identifier
  - **`name`** _(string)_
    The tag's name
- **`created_at`** _(string)_
  This represents the date when the Employee was created
- **`updated_at`** _(string)_
  This represents the date when the Employee was updated
- **`etag`** _(string)_
  The unique identifier for the specific version of the resource.
- **`remote_data`** _(object)_
  Raw data returned from the remote API call.

## Methods

- [GET /unified/hris/employees](/docs/api-reference/unified-hris-api/employees/list) — List Employees
- [POST /unified/hris/employees](/docs/api-reference/unified-hris-api/employees/create) — Create Employees
- [GET /unified/hris/employees/{id}](/docs/api-reference/unified-hris-api/employees/get) — Get Employees
- [PATCH /unified/hris/employees/{id}](/docs/api-reference/unified-hris-api/employees/update) — Update Employees
- [POST /unified/hris/employees/terminate](/docs/api-reference/unified-hris-api/employees/terminate) — Terminate Employees
